Can't load DBI.so wrong ELF class: ELFCLASS64 at DynaLoader.pm line 191

--_000_HK0PR06MB2179D2AEC8123E9783FC0A9DA8F30HK0PR06MB2179apcp_
Content-Type: text/plain; charset="gb2312"
Content-Transfer-Encoding: base64

SSB1c2VkIGNwYW4gREJJIGFuZCBnZXQgZm9sbG93aW5nIGVycm9yLg0KDQoNCkNhbid0IGxvYWQg
Jy9od2Zzc3oxL1NUX1BSRUNJU0lPTi9QVUIvc29mdHdhcmVzL2luc3RhbGwvcGVybF90bXAvLmNw
YW4vYnVpbGQvREJJLTEuNjQyLUxCWm55dy9ibGliL2FyY2gvYXV0by9EQkkvREJJLnNvJyBmb3Ig
bW9kdWxlIERCSTogL2h3ZnNzejEvU1RfUFJFQ0lTSU9OL1BVQi9zb2Z0d2FyZXMvaW5zdGFsbC9w
ZXJsX3RtcC8uY3Bhbi9idWlsZC9EQkktMS42NDItTEJabnl3L2JsaWIvYXJjaC9hdXRvL0RCSS9E
Qkkuc286IHdyb25nIEVMRiBjbGFzczogRUxGQ0xBU1M2NCBhdCAvaHdmc3N6MS9TVF9QUkVDSVNJ
T04vUFVCL3NvZnR3YXJlcy9BY3RpdmVQZXJsLTUuMTguNC9saWIvRHluYUxvYWRlci5wbSBsaW5l
IDE5MS4NCg0KDQpJIGRvbnQndCBrbm93IGhvdyB0byBzb2x2ZSBpdC4NCg0KDQpDYW4gYW55Ym9k
eSBoZWxwIG1lPw0KDQoNClRoYW5rcyBhIGxvdC4NCg0KDQoNCg0K

--_000_HK0PR06MB2179D2AEC8123E9783FC0A9DA8F30HK0PR06MB2179apcp_
Content-Type: text/html; charset="gb2312"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dgb2312">
<style type=3D"text/css" style=3D"display:none;"><!-- P {margin-top:0;margi=
n-bottom:0;} --></style>
</head>
<body dir=3D"ltr">
<div id=3D"divtagdefaultwrapper" style=3D"font-size:12pt;color:#000000;font=
-family:Calibri,Helvetica,sans-serif;" dir=3D"ltr">
<p style=3D"margin-top:0;margin-bottom:0">I&nbsp;used&nbsp;cpan DBI&nbsp;an=
d&nbsp;get&nbsp;following&nbsp;error.</p>
<p style=3D"margin-top:0;margin-bottom:0"><br>
</p>
<p style=3D"margin-top:0;margin-bottom:0"><span>Can't load '/hwfssz1/ST_PRE=
CISION/PUB/softwares/install/perl_tmp/.cpan/build/DBI-1.642-LBZnyw/blib/arc=
h/auto/DBI/DBI.so' for module DBI: /hwfssz1/ST_PRECISION/PUB/softwares/inst=
all/perl_tmp/.cpan/build/DBI-1.642-LBZnyw/blib/arch/auto/DBI/DBI.so:
 wrong ELF class: ELFCLASS64 at /hwfssz1/ST_PRECISION/PUB/softwares/ActiveP=
erl-5.18.4/lib/DynaLoader.pm line 191.</span><br>
</p>
<p style=3D"margin-top:0;margin-bottom:0"><span><br>
</span></p>
<p style=3D"margin-top:0;margin-bottom:0">I&nbsp;dont't&nbsp;know&nbsp;how&=
nbsp;to&nbsp;solve&nbsp;it.</p>
<p style=3D"margin-top:0;margin-bottom:0"><br>
</p>
<p style=3D"margin-top:0;margin-bottom:0">Can&nbsp;anybody&nbsp;help&nbsp;m=
e?</p>
<p style=3D"margin-top:0;margin-bottom:0"><br>
</p>
<p style=3D"margin-top:0;margin-bottom:0">Thanks&nbsp;a&nbsp;lot.</p>
<p style=3D"margin-top:0;margin-bottom:0"><br>
</p>
<div id=3D"Signature">
<div style=3D"font-family:Tahoma; font-size:13px">
<p><br>
</p>
<p></p>
<p>&nbsp;</p>
</div>
</div>
</div>
</body>
</html>

--_000_HK0PR06MB2179D2AEC8123E9783FC0A9DA8F30HK0PR06MB2179apcp_--
0
zhuangzhenkun
7/11/2019 8:03:51 AM
perl.dbi.users 11085 articles. 1 followers. Follow

1 Replies
59 Views

Similar Articles

[PageSpeed] 38

--00000000000046b1d9058e91fa7a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

are you using activeperl in Linux/UNIX ? looks like you are loading a 32bit
..so in 64bit OS.
I stopped using activeperl for many years, I guess it should have DBI by
default, or can be installed with ppm.

On Thu, Jul 18, 2019 at 9:08 AM =E5=BA=84=E9=95=87=E5=A0=83(Zhenkun Zhuang)=
 <
zhuangzhenkun@genomics.cn> wrote:

> I used cpan DBI and get following error.
>
>
> Can't load
> '/hwfssz1/ST_PRECISION/PUB/softwares/install/perl_tmp/.cpan/build/DBI-1.6=
42-LBZnyw/blib/arch/auto/DBI/DBI.so'
> for module DBI:
> /hwfssz1/ST_PRECISION/PUB/softwares/install/perl_tmp/.cpan/build/DBI-1.64=
2-LBZnyw/blib/arch/auto/DBI/DBI.so:
> wrong ELF class: ELFCLASS64 at
> /hwfssz1/ST_PRECISION/PUB/softwares/ActivePerl-5.18.4/lib/DynaLoader.pm
> line 191.
>
>
> I dont't know how to solve it.
>
>
> Can anybody help me?
>
>
> Thanks a lot.
>
>
>
>
>

--00000000000046b1d9058e91fa7a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>are you using activeperl in Linux/UNIX ? looks like y=
ou are loading a 32bit .so in 64bit OS.<br></div>I stopped using activeperl=
 for many years, I guess it should have DBI by default, or can be installed=
 with ppm.<br></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Thu, Jul 18, 2019 at 9:08 AM =E5=BA=84=E9=95=87=E5=A0=83=
(Zhenkun Zhuang) &lt;<a href=3D"mailto:zhuangzhenkun@genomics.cn">zhuangzhe=
nkun@genomics.cn</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" =
style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);pa=
dding-left:1ex">




<div dir=3D"ltr">
<div id=3D"gmail-m_-1210161533529796396divtagdefaultwrapper" style=3D"font-=
size:12pt;color:rgb(0,0,0);font-family:Calibri,Helvetica,sans-serif" dir=3D=
"ltr">
<p style=3D"margin-top:0px;margin-bottom:0px">I=C2=A0used=C2=A0cpan DBI=C2=
=A0and=C2=A0get=C2=A0following=C2=A0error.</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><br>
</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><span>Can&#39;t load &#39;/hw=
fssz1/ST_PRECISION/PUB/softwares/install/perl_tmp/.cpan/build/DBI-1.642-LBZ=
nyw/blib/arch/auto/DBI/DBI.so&#39; for module DBI: /hwfssz1/ST_PRECISION/PU=
B/softwares/install/perl_tmp/.cpan/build/DBI-1.642-LBZnyw/blib/arch/auto/DB=
I/DBI.so:
 wrong ELF class: ELFCLASS64 at /hwfssz1/ST_PRECISION/PUB/softwares/ActiveP=
erl-5.18.4/lib/DynaLoader.pm line 191.</span><br>
</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><span><br>
</span></p>
<p style=3D"margin-top:0px;margin-bottom:0px">I=C2=A0dont&#39;t=C2=A0know=
=C2=A0how=C2=A0to=C2=A0solve=C2=A0it.</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><br>
</p>
<p style=3D"margin-top:0px;margin-bottom:0px">Can=C2=A0anybody=C2=A0help=C2=
=A0me?</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><br>
</p>
<p style=3D"margin-top:0px;margin-bottom:0px">Thanks=C2=A0a=C2=A0lot.</p>
<p style=3D"margin-top:0px;margin-bottom:0px"><br>
</p>
<div id=3D"gmail-m_-1210161533529796396Signature">
<div style=3D"font-family:Tahoma;font-size:13px">
<p><br>
</p>
<p></p>
<p>=C2=A0</p>
</div>
</div>
</div>
</div>

</blockquote></div>

--00000000000046b1d9058e91fa7a--
0
gb2313
7/26/2019 9:14:51 AM
Reply: